Subject: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 10 Apr 2012 18:41:21 +0200

Stefan Monnier <[email-masked]> writes:

>>> "sudo . .eshell/history" means "execute the commands in .eshell/history
>>> as user `root'".  I.e. it's very different from
>>> ". /sudo::.eshell/history" which runs those command as the current user.
>> I haven't said there's only one way to do it :-) I mean we should
>> think about, before we disable builtins in sudo.  I'm still not
>> convinced it is a bug.
>> In eshell, one must understand how file names are handled.
>
> I'd be happy to hear of arguments in favor of the current behavior of
> eshell/sudo w.r.t builtins.
It seem it doesn't ask for passwd at everytime 
(seem it read his timestamp in /var/lib/sudo/<user>/?).

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997